# History of changes

## Version 1.3.1 (2024-03-27)

### Issues Closed

* [Issue 258](https://github.com/spyder-ide/qtawesome/issues/258) - Release QtAwesome 1.3.1
* [Issue 252](https://github.com/spyder-ide/qtawesome/issues/252) - Improve Codicons update command ([PR 259](https://github.com/spyder-ide/qtawesome/pull/259) by [@dalthviz](https://github.com/dalthviz))
* [Issue 236](https://github.com/spyder-ide/qtawesome/issues/236) - PermissionError: [WinError 5] Access is denied ([PR 257](https://github.com/spyder-ide/qtawesome/pull/257) by [@dalthviz](https://github.com/dalthviz))

In this release 3 issues were closed.

### Pull Requests Merged

* [PR 259](https://github.com/spyder-ide/qtawesome/pull/259) - PR: Update Codicons update command and assets, by [@dalthviz](https://github.com/dalthviz) ([252](https://github.com/spyder-ide/qtawesome/issues/252))
* [PR 257](https://github.com/spyder-ide/qtawesome/pull/257) - PR: Add version to fonts assets, some error handling for Windows font installation logic and keep up to date update scripts/commands, by [@dalthviz](https://github.com/dalthviz) ([236](https://github.com/spyder-ide/qtawesome/issues/236))
* [PR 255](https://github.com/spyder-ide/qtawesome/pull/255) - PR: Use GitHub raw content URL to display `README` images over package PyPI landing page, by [@dalthviz](https://github.com/dalthviz)

In this release 3 pull requests were closed.


----


## Version 1.3.0 (2023-12-11)

### Issues Closed

* [Issue 253](https://github.com/spyder-ide/qtawesome/issues/253) - Release QtAwesome 1.3.0
* [Issue 222](https://github.com/spyder-ide/qtawesome/issues/222) - Update Material Design Icons 6.x (`mdi6`) to latest version (6.9.96) ([PR 249](https://github.com/spyder-ide/qtawesome/pull/249) by [@dalthviz](https://github.com/dalthviz))
* [Issue 165](https://github.com/spyder-ide/qtawesome/issues/165) - Need a way to stop animation icon from calling _update ([PR 245](https://github.com/spyder-ide/qtawesome/pull/245) by [@ccordoba12](https://github.com/ccordoba12))

In this release 3 issues were closed.

### Pull Requests Merged

* [PR 251](https://github.com/spyder-ide/qtawesome/pull/251) - PR: Update Codicons (`msc`) to 0.0.35, by [@dalthviz](https://github.com/dalthviz)
* [PR 249](https://github.com/spyder-ide/qtawesome/pull/249) - PR: Update Material Design Icons (`mdi6`) to 6.9.96, by [@dalthviz](https://github.com/dalthviz) ([222](https://github.com/spyder-ide/qtawesome/issues/222))
* [PR 248](https://github.com/spyder-ide/qtawesome/pull/248) - PR: Improvements to the icon browser application, by [@dalthviz](https://github.com/dalthviz)
* [PR 246](https://github.com/spyder-ide/qtawesome/pull/246) - PR: Update `readthedocs` config to version 2, by [@dalthviz](https://github.com/dalthviz)
* [PR 245](https://github.com/spyder-ide/qtawesome/pull/245) - PR: Add API to start/stop animations to the Spin class, by [@ccordoba12](https://github.com/ccordoba12) ([165](https://github.com/spyder-ide/qtawesome/issues/165))
* [PR 238](https://github.com/spyder-ide/qtawesome/pull/238) - PR: Provide icon size when creating an `IconWidget`, by [@StSav012](https://github.com/StSav012)
* [PR 232](https://github.com/spyder-ide/qtawesome/pull/232) - PR: Remove usage of deprecated codecov package and move to GitHub Action variant, by [@dalthviz](https://github.com/dalthviz)

In this release 7 pull requests were closed.


----


## Version 1.2.3 (2023-03-09)

### Issues Closed

* [Issue 229](https://github.com/spyder-ide/qtawesome/issues/229) - Release QtAwesome 1.2.3
* [Issue 227](https://github.com/spyder-ide/qtawesome/issues/227) - Import error when importing `PYSIDE6` while using `QtPy` <= 1.x ([PR 228](https://github.com/spyder-ide/qtawesome/pull/228) by [@dalthviz](https://github.com/dalthviz))

In this release 2 issues were closed.

### Pull Requests Merged

* [PR 228](https://github.com/spyder-ide/qtawesome/pull/228) - PR: Change constants used to validate `PySide` installation and update `PySide2` test environment to use `QtPy`<2.0.0, by [@dalthviz](https://github.com/dalthviz) ([227](https://github.com/spyder-ide/qtawesome/issues/227))

In this release 1 pull request was closed.


----


## Version 1.2.2 (2022-12-27)

### Issues Closed

* [Issue 226](https://github.com/spyder-ide/qtawesome/issues/226) - Release QtAwesome 1.2.2
* [Issue 223](https://github.com/spyder-ide/qtawesome/issues/223) - Memory leak when using spin animation class on PyQt bindings ([PR 224](https://github.com/spyder-ide/qtawesome/pull/224) by [@dalthviz](https://github.com/dalthviz))
* [Issue 213](https://github.com/spyder-ide/qtawesome/issues/213) - Add a contributing guide ([PR 218](https://github.com/spyder-ide/qtawesome/pull/218) by [@dalthviz](https://github.com/dalthviz))

In this release 3 issues were closed.

### Pull Requests Merged

* [PR 224](https://github.com/spyder-ide/qtawesome/pull/224) - PR: Use currentThreadId to identify thread for PyQt bindings, by [@dalthviz](https://github.com/dalthviz) ([223](https://github.com/spyder-ide/qtawesome/issues/223))
* [PR 218](https://github.com/spyder-ide/qtawesome/pull/218) - PR: Add contributing guide and fix macOS tests, by [@dalthviz](https://github.com/dalthviz) ([213](https://github.com/spyder-ide/qtawesome/issues/213))

In this release 2 pull requests were closed.


----


## Version 1.2.1 (2022-10-24)

### Issues Closed

* [Issue 214](https://github.com/spyder-ide/qtawesome/issues/214) - Regression with 1.2 on Windows ([PR 215](https://github.com/spyder-ide/qtawesome/pull/215) by [@dalthviz](https://github.com/dalthviz))
* [Issue 212](https://github.com/spyder-ide/qtawesome/issues/212) - Release QtAwesome 1.2.1
* [Issue 210](https://github.com/spyder-ide/qtawesome/issues/210) - QtAwesome 1.2.0 incompatible with PySide2  ([PR 211](https://github.com/spyder-ide/qtawesome/pull/211) by [@dalthviz](https://github.com/dalthviz))

In this release 3 issues were closed.

### Pull Requests Merged

* [PR 215](https://github.com/spyder-ide/qtawesome/pull/215) - PR: Handle per user font installation failing due to missing/not available registry keys, by [@dalthviz](https://github.com/dalthviz) ([214](https://github.com/spyder-ide/qtawesome/issues/214))
* [PR 211](https://github.com/spyder-ide/qtawesome/pull/211) - PR: Handle PySide2 not having `QtGui.QGlyphRun` and add tests jobs with PySide2, by [@dalthviz](https://github.com/dalthviz) ([210](https://github.com/spyder-ide/qtawesome/issues/210))

In this release 2 pull requests were closed.


----


## Version 1.2.0 (2022-10-19)

### Issues Closed

* [Issue 208](https://github.com/spyder-ide/qtawesome/issues/208) - Release QtAwesome 1.2.0 ([PR 209](https://github.com/spyder-ide/qtawesome/pull/209) by [@dalthviz](https://github.com/dalthviz))
* [Issue 196](https://github.com/spyder-ide/qtawesome/issues/196) - Unexpected corruption check when qta.load_font() with same ttf_filename as bundled ([PR 197](https://github.com/spyder-ide/qtawesome/pull/197) by [@kumattau](https://github.com/kumattau))
* [Issue 195](https://github.com/spyder-ide/qtawesome/issues/195) - Incorrect search directory docstring of qta.load_font() with directory=None  ([PR 198](https://github.com/spyder-ide/qtawesome/pull/198) by [@dalthviz](https://github.com/dalthviz))
* [Issue 193](https://github.com/spyder-ide/qtawesome/issues/193) - Drop Python 3.6 support ([PR 204](https://github.com/spyder-ide/qtawesome/pull/204) by [@dalthviz](https://github.com/dalthviz))
* [Issue 191](https://github.com/spyder-ide/qtawesome/issues/191) - Update Codicons to the latest release (0.0.26) ([PR 206](https://github.com/spyder-ide/qtawesome/pull/206) by [@dalthviz](https://github.com/dalthviz))
* [Issue 189](https://github.com/spyder-ide/qtawesome/issues/189) - Incorrect FontAwesome5 Version in docs and update FontAwesome5 to the latest release (5.15.4) ([PR 206](https://github.com/spyder-ide/qtawesome/pull/206) by [@dalthviz](https://github.com/dalthviz))
* [Issue 167](https://github.com/spyder-ide/qtawesome/issues/167) - Icons are blocked because of untrusted fonts on Windows 10 ([PR 205](https://github.com/spyder-ide/qtawesome/pull/205) by [@dalthviz](https://github.com/dalthviz))
* [Issue 39](https://github.com/spyder-ide/qtawesome/issues/39) - Tremulous spinning icons ([PR 202](https://github.com/spyder-ide/qtawesome/pull/202) by [@kumattau](https://github.com/kumattau))

In this release 8 issues were closed.

### Pull Requests Merged

* [PR 209](https://github.com/spyder-ide/qtawesome/pull/209) - PR: Update docs with info about `example.py` args, new `draw` option and screenshot, by [@dalthviz](https://github.com/dalthviz) ([208](https://github.com/spyder-ide/qtawesome/issues/208))
* [PR 206](https://github.com/spyder-ide/qtawesome/pull/206) - PR: Update FA5 icons to 5.15.4 and Codicons icons to 0.0.32, by [@dalthviz](https://github.com/dalthviz) ([191](https://github.com/spyder-ide/qtawesome/issues/191), [189](https://github.com/spyder-ide/qtawesome/issues/189))
* [PR 205](https://github.com/spyder-ide/qtawesome/pull/205) - PR: Install bundled fonts for user on Windows and fix Linux CI, by [@dalthviz](https://github.com/dalthviz) ([167](https://github.com/spyder-ide/qtawesome/issues/167))
* [PR 204](https://github.com/spyder-ide/qtawesome/pull/204) - PR: Drop Python 3.6 support, by [@dalthviz](https://github.com/dalthviz) ([193](https://github.com/spyder-ide/qtawesome/issues/193))
* [PR 203](https://github.com/spyder-ide/qtawesome/pull/203) - PR: Disable font hinting to mitigate tremulous spinning to some extent, by [@kumattau](https://github.com/kumattau)
* [PR 202](https://github.com/spyder-ide/qtawesome/pull/202) - PR: Use QRawFont and draw PainterPath of Glyph for animation to prevent tremulous spinning icons, by [@kumattau](https://github.com/kumattau) ([39](https://github.com/spyder-ide/qtawesome/issues/39))
* [PR 199](https://github.com/spyder-ide/qtawesome/pull/199) - PR: Replace now deprecated distutils with setuptools, by [@kumattau](https://github.com/kumattau)
* [PR 198](https://github.com/spyder-ide/qtawesome/pull/198) - PR: Update `load_font` documentation, by [@dalthviz](https://github.com/dalthviz) ([195](https://github.com/spyder-ide/qtawesome/issues/195))
* [PR 197](https://github.com/spyder-ide/qtawesome/pull/197) - PR: Fix unexpected corruption check except for bundled fonts, by [@kumattau](https://github.com/kumattau) ([196](https://github.com/spyder-ide/qtawesome/issues/196))
* [PR 190](https://github.com/spyder-ide/qtawesome/pull/190) - PR: Preserves timestamp, bboxes, and table order for faithful to original and reproducible font updating, by [@kumattau](https://github.com/kumattau)
* [PR 187](https://github.com/spyder-ide/qtawesome/pull/187) - PR: Update RELEASE.md, by [@dalthviz](https://github.com/dalthviz)

In this release 11 pull requests were closed.


----


## Version 1.1.1 (2021-11-29)

### Issues Closed

* [Issue 178](https://github.com/spyder-ide/qtawesome/issues/178) - Add deprecation warning for Font Awesome 4.x - 4.7 ([PR 185](https://github.com/spyder-ide/qtawesome/pull/185) by [@dalthviz](https://github.com/dalthviz))

In this release 1 issue was closed.

### Pull Requests Merged

* [PR 186](https://github.com/spyder-ide/qtawesome/pull/186) - PR: Try calling newer Qt methods first before falling back to deprecated/removed ones, by [@kumattau](https://github.com/kumattau)
* [PR 185](https://github.com/spyder-ide/qtawesome/pull/185) - PR: Add DeprecationWarning for FontAwesome 4.7 icon set, by [@dalthviz](https://github.com/dalthviz) ([178](https://github.com/spyder-ide/qtawesome/issues/178))
* [PR 184](https://github.com/spyder-ide/qtawesome/pull/184) - PR: Update README docs badge, Copyright year and sponsors logo, by [@dalthviz](https://github.com/dalthviz)
* [PR 183](https://github.com/spyder-ide/qtawesome/pull/183) - PR: Change to "Ctrl+F" because PyQt6 doesn't support Modifier + Key, by [@kumattau](https://github.com/kumattau)

In this release 4 pull requests were closed.


----


## Version 1.1.0 (2021-11-02)

### New features

* Update FontAwesome 5 to 5.14.0
* Update Material design icons 5 to 5.9.55 (`mdi` prefix)
* Add support for Material design icons 6 starting with 6.3.95 (`mdi6` prefix)
* Add support for Phosphor icons starting with 1.3.0 (`ph` prefix)
* Add support for Remix icons staring with 2.5.0 (`ri` prefix)
* Add support for Microsoft's Codicons starting with 0.0.25 (`msc` prefix)
* Add support for alpha setting in colors
* Improvements to the icon browser: Preview icons with an example dark/light theme, add shortcut to focus search field (`Ctrl + F`), and display current selected icon name without any ellipsis

### Issues Closed

* [Issue 172](https://github.com/spyder-ide/qtawesome/issues/172) - Update missing references for new/updated icon sets and example image
* [Issue 170](https://github.com/spyder-ide/qtawesome/issues/170) - qta-browser with PySide6 ([PR 171](https://github.com/spyder-ide/qtawesome/pull/171) by [@kumattau](https://github.com/kumattau))
* [Issue 156](https://github.com/spyder-ide/qtawesome/issues/156) - Refresh defaults for toggling light dark themes ([PR 176](https://github.com/spyder-ide/qtawesome/pull/176) by [@dalthviz](https://github.com/dalthviz))

In this release 3 issues were closed.

### Pull Requests Merged

* [PR 182](https://github.com/spyder-ide/qtawesome/pull/182) - PR: [qta-browser] display selected icon name, Ctrl+F to search icons and tab stops in order of widget appearance, by [@kumattau](https://github.com/kumattau)
* [PR 181](https://github.com/spyder-ide/qtawesome/pull/181) - PR: Update images and example code layout, by [@dalthviz](https://github.com/dalthviz)
* [PR 177](https://github.com/spyder-ide/qtawesome/pull/177) - PR: Update author information and add maintainer one, by [@ccordoba12](https://github.com/ccordoba12)
* [PR 176](https://github.com/spyder-ide/qtawesome/pull/176) - PR: Default icon color to application palette, by [@dalthviz](https://github.com/dalthviz) ([156](https://github.com/spyder-ide/qtawesome/issues/156))
* [PR 174](https://github.com/spyder-ide/qtawesome/pull/174) - PR: Update Material Design Icons to 5.9.55 and add support for new mayor version 6.x - 6.3.95, by [@kumattau](https://github.com/kumattau)
* [PR 171](https://github.com/spyder-ide/qtawesome/pull/171) - PR: Add PySide6 support for qta-browser , by [@kumattau](https://github.com/kumattau) ([170](https://github.com/spyder-ide/qtawesome/issues/170))
* [PR 169](https://github.com/spyder-ide/qtawesome/pull/169) - PR: Add Phosphor and Remix Icon support, by [@kumattau](https://github.com/kumattau)
* [PR 166](https://github.com/spyder-ide/qtawesome/pull/166) - PR: Support alpha in colors, by [@ccordoba12](https://github.com/ccordoba12)
* [PR 152](https://github.com/spyder-ide/qtawesome/pull/152) - PR: Add Microsoft's Codicons 0.0.25 font, by [@darkvertex](https://github.com/darkvertex)
* [PR 151](https://github.com/spyder-ide/qtawesome/pull/151) - PR: Update FA to 5.14.0 + fix setupbase.py for Py3, by [@darkvertex](https://github.com/darkvertex)

In this release 10 pull requests were closed.


----


## Version 1.0.3 (2021-06-22)

### Issues Closed

* [Issue 162](https://github.com/spyder-ide/qtawesome/issues/162) - Implicit integer conversion is deprecated

In this release 1 issue was closed.

### Pull Requests Merged

* [PR 163](https://github.com/spyder-ide/qtawesome/pull/163) - PR: Cast tileWidth to an integer (closes #162), by [@juliangilbey](https://github.com/juliangilbey)
* [PR 146](https://github.com/spyder-ide/qtawesome/pull/146) - PR: Timer should belong to parent widget, by [@listyque](https://github.com/listyque)

In this release 2 pull requests were closed.


----


## Version 1.0.2 (2020-12-08)

### Issues Closed

* [Issue 159](https://github.com/spyder-ide/qtawesome/issues/159) - Release 1.0.2

In this release 1 issue was closed.

### Pull Requests Merged

* [PR 160](https://github.com/spyder-ide/qtawesome/pull/160) - PR: Perform a font id validation, by [@iLLiCiTiT](https://github.com/iLLiCiTiT)
* [PR 158](https://github.com/spyder-ide/qtawesome/pull/158) - PR: Add python_requires to setup.py, by [@ccordoba12](https://github.com/ccordoba12)

In this release 2 pull requests were closed.


----


## Version 1.0.1 (2020-09-29)

### Pull Requests Merged

* [PR 155](https://github.com/spyder-ide/qtawesome/pull/155) - PR: Add entries to the mdi charmap to be supported by Spyder <=4.1.5, by [@dalthviz](https://github.com/dalthviz)

In this release 1 pull request was closed.


----


## Version 1.0.0 (2020-09-25)

### New features

* Update Material design icons to 5.4.55
* Drop Python 2 support

### Issues Closed

* [Issue 136](https://github.com/spyder-ide/qtawesome/issues/136) - Deprecate Python 2 in our CI ([PR 139](https://github.com/spyder-ide/qtawesome/pull/139) by [@goanpeca](https://github.com/goanpeca))

In this release 1 issue was closed.

### Pull Requests Merged

* [PR 150](https://github.com/spyder-ide/qtawesome/pull/150) - PR: Update mdi to 5.4.55, by [@doudz](https://github.com/doudz)
* [PR 139](https://github.com/spyder-ide/qtawesome/pull/139) - PR: Support only Python 3, by [@goanpeca](https://github.com/goanpeca) ([136](https://github.com/spyder-ide/qtawesome/issues/136))

In this release 2 pull requests were closed.


----


## Version 0.7.3 (2020-09-21)

### Issues Closed

* [Issue 147](https://github.com/spyder-ide/qtawesome/issues/147) - Deprecation warning due to invalid escape sequences  ([PR 148](https://github.com/spyder-ide/qtawesome/pull/148) by [@tirkarthi](https://github.com/tirkarthi))

In this release 1 issue was closed.

### Pull Requests Merged

* [PR 154](https://github.com/spyder-ide/qtawesome/pull/154) - PR: Update RELEASE.md, by [@dalthviz](https://github.com/dalthviz)
* [PR 148](https://github.com/spyder-ide/qtawesome/pull/148) - PR: Fix deprecation warnings due to invalid escape sequences., by [@tirkarthi](https://github.com/tirkarthi) ([147](https://github.com/spyder-ide/qtawesome/issues/147))

In this release 2 pull requests were closed.


----


## Version 0.7.2 (2020-05-05)

### Pull Requests Merged

* [PR 145](https://github.com/spyder-ide/qtawesome/pull/145) - PR: Update release instructions for the 0.x branch, by [@ccordoba12](https://github.com/ccordoba12)
* [PR 143](https://github.com/spyder-ide/qtawesome/pull/143) - PR: Do not call python directly in tests, by [@scarabeusiv](https://github.com/scarabeusiv)

In this release 2 pull requests were closed.


----


## Version 0.7.1 (2020-04-15)

### Issues Closed

* [Issue 140](https://github.com/spyder-ide/qtawesome/issues/140) - QtAwesome is issuing "UserWarning: Your Python version doesn't support character ... " in Python 2 ([PR 141](https://github.com/spyder-ide/qtawesome/pull/141) by [@dalthviz](https://github.com/dalthviz))

In this release 1 issue was closed.

### Pull Requests Merged

* [PR 141](https://github.com/spyder-ide/qtawesome/pull/141) - PR: Remove warning for Python 2.7, by [@dalthviz](https://github.com/dalthviz) ([140](https://github.com/spyder-ide/qtawesome/issues/140))

In this release 1 pull request was closed.


----


## Version 0.7.0 (2020-02-12)

### New features

* Update Material design icons to 4.9.95
* Add IconWidget class to display icons as widgets
* Add an icon browser

### Issues Closed

* [Issue 125](https://github.com/spyder-ide/qtawesome/issues/125) - addApplicationFont Locks fonts from reading  ([PR 138](https://github.com/spyder-ide/qtawesome/pull/138))
* [Issue 45](https://github.com/spyder-ide/qtawesome/issues/45) - Documentation does not reflect the new "State (On, Off)" ([PR 137](https://github.com/spyder-ide/qtawesome/pull/137))

In this release 2 issues were closed.

### Pull Requests Merged

* [PR 138](https://github.com/spyder-ide/qtawesome/pull/138) - PR: Fix file lock ([125](https://github.com/spyder-ide/qtawesome/issues/125))
* [PR 137](https://github.com/spyder-ide/qtawesome/pull/137) - PR: Update documentation and images ([45](https://github.com/spyder-ide/qtawesome/issues/45))
* [PR 135](https://github.com/spyder-ide/qtawesome/pull/135) - PR: Use Github as the only CI provider
* [PR 131](https://github.com/spyder-ide/qtawesome/pull/131) - PR: Update MDI to 4.9.95
* [PR 127](https://github.com/spyder-ide/qtawesome/pull/127) - PR: Add IconWidget to display icon as widget
* [PR 123](https://github.com/spyder-ide/qtawesome/pull/123) - PR: Add an icon browser

In this release 6 pull requests were closed.


----


## Version 0.6.1 (2020-01-08)

### Pull Requests Merged

* [PR 130](https://github.com/spyder-ide/qtawesome/pull/130) - PR: Improve sponsors section in readme
* [PR 128](https://github.com/spyder-ide/qtawesome/pull/128) - PR: Replace QtGui by QtWidgets in docs
* [PR 126](https://github.com/spyder-ide/qtawesome/pull/126) - PR: Update MDI to 4.5.95
* [PR 122](https://github.com/spyder-ide/qtawesome/pull/122) - PR: Update MDI to 4.4.95
* [PR 121](https://github.com/spyder-ide/qtawesome/pull/121) - PR: Update number of icons in Readme and docs

In this release 5 pull requests were closed.


----


## Version 0.6.0 (2019-07-25)

### New features

* Add rotated, hflip, and vflip options

### Issues Closed

* [Issue 119](https://github.com/spyder-ide/qtawesome/issues/119) - Update FontAwesome and Material design icons ([PR 120](https://github.com/spyder-ide/qtawesome/pull/120))
* [Issue 112](https://github.com/spyder-ide/qtawesome/issues/112) - Rotate icons by static angle i.e. 90, 180 etc ([PR 117](https://github.com/spyder-ide/qtawesome/pull/117))

In this release 2 issues were closed.

### Pull Requests Merged

* [PR 120](https://github.com/spyder-ide/qtawesome/pull/120) - PR: Update FontAwesome and Material design icons ([119](https://github.com/spyder-ide/qtawesome/issues/119))
* [PR 117](https://github.com/spyder-ide/qtawesome/pull/117) - PR: Add rotated, hflip, and vflip options ([112](https://github.com/spyder-ide/qtawesome/issues/112))

In this release 2 pull requests were closed.


----


## Version 0.5.8 (2019-07-23)

### Pull Requests Merged

* [PR 118](https://github.com/spyder-ide/qtawesome/pull/118) - PR: Remove Python 3.8 deprecation warnings

In this release 1 pull request was closed.


----


## Version 0.5.7 (2019-03-07)

### Issues Closed

* [Issue 113](https://github.com/spyder-ide/qtawesome/issues/113) - Corrupted icons with PyQt 5.12 ([PR 115](https://github.com/spyder-ide/qtawesome/pull/115))

In this release 1 issue was closed.

### Pull Requests Merged

* [PR 115](https://github.com/spyder-ide/qtawesome/pull/115) - PR: Keep icons alive in cache ([113](https://github.com/spyder-ide/qtawesome/issues/113))

In this release 1 pull request was closed.


----


## Version 0.5.6 (2019-01-26)

### Issues Closed

* [Issue 107](https://github.com/spyder-ide/qtawesome/issues/107) - Some FontAwesome icons do not match ([PR 109](https://github.com/spyder-ide/qtawesome/pull/109))

In this release 1 issue was closed.

### Pull Requests Merged

* [PR 110](https://github.com/spyder-ide/qtawesome/pull/110) - PR: Update update_fa5 command to rename internal font names during update
* [PR 109](https://github.com/spyder-ide/qtawesome/pull/109) - PR: Rename FA5 fonts to be unique ([107](https://github.com/spyder-ide/qtawesome/issues/107))
* [PR 108](https://github.com/spyder-ide/qtawesome/pull/108) - PR: Add a test to ensure all fonts used by QtAwesome have a unique family name

In this release 3 pull requests were closed.


----


## Version 0.5.5 (2019-01-03)

### Pull Requests Merged

* [PR 106](https://github.com/spyder-ide/qtawesome/pull/106) - PR: Add setupbase.py to our tarball

In this release 1 pull request was closed.


----


## Version 0.5.4 (2019-01-03)

### Pull Requests Merged

* [PR 105](https://github.com/spyder-ide/qtawesome/pull/105) - PR: Fix bad package dependency in docs/environment.yml
* [PR 104](https://github.com/spyder-ide/qtawesome/pull/104) - PR: Update to FA 5.6.3 and new "update_fa5" setup.py subcommand

In this release 2 pull requests were closed.


----


## Version 0.5.3 (2018-11-12)

### Issues Closed

* [Issue 103](https://github.com/spyder-ide/qtawesome/issues/103) - Pypi description is ugly

In this release 1 issue was closed.

### Pull Requests Merged

* [PR 102](https://github.com/spyder-ide/qtawesome/pull/102) - PR: Update FontAwesome to 5.4.2

In this release 1 pull request was closed.


----


## Version 0.5.2 (2018-10-28)

### Pull Requests Merged

* [PR 101](https://github.com/spyder-ide/qtawesome/pull/101) - PR: Generate PyPI long description from README.md
* [PR 100](https://github.com/spyder-ide/qtawesome/pull/100) - PR: Add instruction to update MDI
* [PR 99](https://github.com/spyder-ide/qtawesome/pull/99) - PR: Update MDI to 3.0.39

In this release 3 pull requests were closed.


----


## Version 0.5.1 (2018-09-30)

### Issues Closed

* [Issue 97](https://github.com/spyder-ide/qtawesome/issues/97) - minus-circle not working ([PR 98](https://github.com/spyder-ide/qtawesome/pull/98))

In this release 1 issue was closed.

### Pull Requests Merged

* [PR 98](https://github.com/spyder-ide/qtawesome/pull/98) - PR: Rename FontAwesome5 fonts ([97](https://github.com/spyder-ide/qtawesome/issues/97))

In this release 1 pull request was closed.


----


## Version 0.5 (2018-09-18)

### New features

* Update FontAwesome 4 to 4.7. Its namespace will be `fa` forever.
* Add Material Design icons under the `mdi` namespace
* Add FontAwesome 5 icons under the `fa5` (regular), `fa5s` (solid) and
  `fa5b` (brands) namespaces.

### Issues Closed

* [Issue 93](https://github.com/spyder-ide/qtawesome/issues/93) - Update MDI to 2.7.94 ([PR 95](https://github.com/spyder-ide/qtawesome/pull/95))
* [Issue 88](https://github.com/spyder-ide/qtawesome/issues/88) - Add support for Material Design Icons ([PR 92](https://github.com/spyder-ide/qtawesome/pull/92))
* [Issue 87](https://github.com/spyder-ide/qtawesome/issues/87) - Update FontAwesome to its 5 version ([PR 86](https://github.com/spyder-ide/qtawesome/pull/86))
* [Issue 76](https://github.com/spyder-ide/qtawesome/issues/76) - Error in animation.py when quickly set spinner ([PR 77](https://github.com/spyder-ide/qtawesome/pull/77))
* [Issue 41](https://github.com/spyder-ide/qtawesome/issues/41) - Add .project and .pydevproject to .gitignore ([PR 96](https://github.com/spyder-ide/qtawesome/pull/96))

In this release 5 issues were closed.

### Pull Requests Merged

* [PR 96](https://github.com/spyder-ide/qtawesome/pull/96) - PR: Ignore PyDev project files ([41](https://github.com/spyder-ide/qtawesome/issues/41))
* [PR 95](https://github.com/spyder-ide/qtawesome/pull/95) - PR: Update MDI to 2.7.94 ([93](https://github.com/spyder-ide/qtawesome/issues/93))
* [PR 92](https://github.com/spyder-ide/qtawesome/pull/92) - PR: Add Material Design Icons support ([88](https://github.com/spyder-ide/qtawesome/issues/88))
* [PR 91](https://github.com/spyder-ide/qtawesome/pull/91) - PR: Fix testing facilities
* [PR 86](https://github.com/spyder-ide/qtawesome/pull/86) - PR: Update FontAwesome to 5.3.1 ([87](https://github.com/spyder-ide/qtawesome/issues/87))
* [PR 85](https://github.com/spyder-ide/qtawesome/pull/85) - PR: Update readme to remove funding appeal, harmonize with other readmes and minor fixes
* [PR 81](https://github.com/spyder-ide/qtawesome/pull/81) - PR: Replace qRound (missing in PySide2) with round
* [PR 77](https://github.com/spyder-ide/qtawesome/pull/77) - PR: Fix error when updating animations ([76](https://github.com/spyder-ide/qtawesome/issues/76))
* [PR 72](https://github.com/spyder-ide/qtawesome/pull/72) - PR: Updating FontAwesome to 4.7

In this release 9 pull requests were closed.


----


## Version 0.4.4 (2017-01-28)

### Bugs fixed

**Pull requests**

* [PR 70](https://github.com/spyder-ide/qtawesome/pull/70) - PR: Prevent segfaults when importing QtAwesome out of a of QApplication

In this release 1 pull request was merged


----


## Version 0.4.3 (2017-01-22)

### Bugs fixed

**Pull requests**

* [PR 68](https://github.com/spyder-ide/qtawesome/pull/68) - PR: Include example script into tarball to run tests when the package is installed

In this release 1 pull request was merged


----


## Version 0.4.2 (2017-01-21)

### Bugs fixed

**Issues**

* [Issue 65](https://github.com/spyder-ide/qtawesome/issues/65) - Update Appveyor Badge for new username spyder-ide
* [Issue 64](https://github.com/spyder-ide/qtawesome/issues/64) - Integration with system fonts
* [Issue 51](https://github.com/spyder-ide/qtawesome/issues/51) - Include  doc files in PyPi releases

In this release 3 issues were closed

**Pull requests**

* [PR 67](https://github.com/spyder-ide/qtawesome/pull/67) - PR: Add a way to not verify hash of vendorized fonts
* [PR 66](https://github.com/spyder-ide/qtawesome/pull/66) - PR: Update AppVeyor badge because of move to org account
* [PR 63](https://github.com/spyder-ide/qtawesome/pull/63) - Update manifest template

In this release 3 pull requests were merged


----


## Version 0.4.1 (2017-01-02)

### Bugs fixed

**Pull requests**

* [PR 62](https://github.com/spyder-ide/qtawesome/pull/62) - Improve verification that our fonts are not empty and/or missing

In this release 1 pull request was merged


----


## Version 0.4 (2017/01/01)

### New features

* Add a FontError exception to be able to catch an error on Windows 10, which
  prevents reading fonts not installed in the system.

### Bugs fixed

**Issues**

* [Issue 55](https://github.com/spyder-ide/qtawesome/issues/55) - Add appveyor integration
* [Issue 54](https://github.com/spyder-ide/qtawesome/issues/54) - Add travis ci integration for mac
* [Issue 53](https://github.com/spyder-ide/qtawesome/issues/53) - Add circle ci integration for linux

In this release 3 issues were closed

**Pull requests**

* [PR 61](https://github.com/spyder-ide/qtawesome/pull/61) - PR: Fix errors in CI services
* [PR 60](https://github.com/spyder-ide/qtawesome/pull/60) - PR: Add validation to raise exception when fonts are empty or corrupt
* [PR 57](https://github.com/spyder-ide/qtawesome/pull/57) - PR: Simplify appveyor and circle ci config
* [PR 56](https://github.com/spyder-ide/qtawesome/pull/56) - PR: Add ciocheck and circle ci linux integration
* [PR 50](https://github.com/spyder-ide/qtawesome/pull/50) - PR: Conda installation instructions
* [PR 49](https://github.com/spyder-ide/qtawesome/pull/49) - PR: Remove conda recipe
* [PR 48](https://github.com/spyder-ide/qtawesome/pull/48) - PR: Improve documentation

In this release 7 pull requests were merged
